### Function

# AppStream markup_convert

#### Declaration [src]

    gchar*
    as_markup_convert (
      const gchar* markup,
      AsMarkupKind to_kind,
      GError** error
    )

#### Description [src]

Converts XML description markup into other forms of text.

#### Parameters

`markup`

  Type: `const gchar*`

  The XML markup to transform.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`to_kind`

  Type: `AsMarkupKind`

  The markup style to convert into.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A newly allocated string, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.